Bug 596432 (CVE-2010-1403) - CVE-2010-1403 WebKit: uninitialized memory access vulnerability in handling of 'use' elements in SVG documents (ZDI-CAN-702)
Summary: CVE-2010-1403 WebKit: uninitialized memory access vulnerability in handling o...
Status: CLOSED WONTFIX
Alias: CVE-2010-1403
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20100607,repor...
Keywords: Security
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 18:22 UTC by Vincent Danen
Modified: 2015-08-19 08:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 08:16:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 18:22:29 UTC
An uninitialized memory access issue exists in WebKit's handling of 'use' elements in SVG documents. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handling of 'use' elements in SVG documents.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=35708
Trac: http://trac.webkit.org/changeset/53446

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges wushi of team509, working with TippingPoint's Zero Day Initiative, as the original reporter.

Comment 4 Jan Lieskovsky 2010-06-08 16:38:27 UTC
Public via:
  [1] http://support.apple.com/kb/HT4196


Note You need to log in before you can comment on or make changes to this bug.